org.bootchart.renderer

## Class Renderer

- java.lang.Object
- - org.bootchart.renderer.Renderer

- Direct Known Subclasses:
    ImageRenderer, SVGRenderer

      public abstract class Renderer
      extends java.lang.Object

  Renderable is a common interface for different boot chart renderers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Renderer()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getFileSuffix()` Returns the file suffix to use for the rendered image.
    `abstract void` | `render(java.util.Properties headers, BootStats bootStats, java.io.OutputStream os)` Render the chart and output to an output stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Renderer

          public Renderer()

  - ### Method Detail

    - #### render

          public abstract void render(java.util.Properties headers,
                                      BootStats bootStats,
                                      java.io.OutputStream os)
                               throws java.io.IOException

      Render the chart and output to an output stream.
      Parameters:
        `headers` - header properties to include in the title banner
        `bootStats` - boot statistics
        `os` - the output stream to write to
      Throws:
        `java.io.IOException` - if an I/O error occurs

    - #### getFileSuffix

          public abstract java.lang.String getFileSuffix()

      Returns the file suffix to use for the rendered image.
      Returns:
        file suffix